Subject: Re: bug#38407: 27.0.50; infinite loop with display of large file without newlines

From: Eli Zaretskii <[email-masked]>
Date: Fri, 29 Nov 2019 16:26:43 +0200

> Cc: Pieter van Oostrum <[email-masked]>, [email-masked]
> From: Dmitry Gutov <[email-masked]>
> Date: Fri, 29 Nov 2019 15:48:14 +0200
> 
> Should we consider setting this value in `prog-mode`, then? For all its 
> derivatives.

No, because programming-language modes include strings and comments,
where the correct rendering is important.

This variable should not be set non-nil unless the display engine is
abysmally slow.  In all other cases doing so is giving up correct
display while gaining nothing, because in "sensible" buffers the BPA
implementation is fast enough.

> I think in all of these cases we're unlikely to see bidirectional text.

I don't think "unlikely" is a good enough reason to do what you
suggest by default.  Emacs by default should produce correct display
of all scripts it supports, even in unlikely use cases.

Please don't make me regret I added this variable (or the bidi display
in general).